<!-- Copyright (C) 2022-2023 Brennen Chiu -->
<!-- Copyright (C) 2023 Andrew Rechnitzer -->

<div class="container w-100 p-0 m-3" id="navFragment">
    <div class="row">
        <div class="col shadow-sm rounded" style="background-color: lightgrey;">
            <div class="row p-0">
                <div class="col-sm-2 p-0 d-flex justify-content-center">
                    {% if prev_idx >= 0 %}
                    <button
                      class="btn w-100 h-100 d-flex justify-content-center"
                      hx-get="{% url 'scan_nav_bundle' timestamp prev_idx %}"
		      hx-swap="outerHTML"
		      hx-target="#navFragment"
		      hx-replace-url="{% url 'scan_manage_bundle' timestamp prev_idx %}"
                      >
                      <i class="bi bi-arrow-left fs-2 align-self-center"></i>
                    </button>
                    {% endif %}
                </div>
                <div class="col d-flex justify-content-center">
                    <img
                        src="{% url 'scan_get_image' timestamp index %}"
                        class="w-100 thumbnail shadow-sm"
                    >
                </div>
                <div class="col-sm-2 p-0 d-flex justify-content-center">
                    {% if next_idx < total_pages %}
                    <button
                      class="btn w-100 h-100 d-flex justify-content-center"
		      hx-get="{% url 'scan_nav_bundle' timestamp next_idx %}"
		      hx-swap="outerHTML"
		      hx-target="#navFragment"		      
		      hx-replace-url="{% url 'scan_manage_bundle' timestamp next_idx %}"
                      >
                      <i class="bi bi-arrow-right fs-2 align-self-center"></i>
                    </button>
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="card h-100">
                <div class="card-body">
                  <h5 class="card-title">Page {{ one_index }} of {{ total_pages }}</h5>
		    <p class="card-text">
		      {% if current_page.status == 'known' %}
		      <div class="alert alert-success">
			<h6 class="alert-heading">Known</h6>
			<ul>
			  <li>paper: {{current_page.info.paper_number}}</li>
			  <li>page: {{current_page.info.page_number}} </li>
			  <li>version: {{current_page.info.version}} </li>
			  <li>rotation: {{current_page.rotation}}</li>
			  <li>{{current_page.qr_codes|length}} qr-codes read:
			    <ul>
			      {% for crn, code in current_page.qr_codes.items %}
			      <li>{{crn}}: {{code.tpv}}</li>
			      {% endfor %}
			    </ul>
			  </li>
			</ul>
		      </div>
		      {% elif current_page.status == 'extra' %}
		      <div class="alert alert-info">
			<h6 class="alert-heading">Extra</h6>
			<ul>
			  <li>paper: {{current_page.info.paper_number}}</li>
			  <li>question(s): {{current_page.info.question_list}} </li>
			  <li>rotation: {{current_page.rotation}}</li>
			  {% if current_page.qr_codes %}
			  <li>		    
			    {{current_page.qr_codes|length}} qr-codes read:
			    <ul>
			      {% for crn, code in current_page.qr_codes.items %}
			      <li>{{crn}}: {{code.tpv}}</li>
			      {% endfor %}
			    </ul>
			  </li>
			  {% else %}
			  <li>No qr-codes read</li>
			  {% endif %}
			</ul>
		      </div>
		      {% elif current_page.status == 'unknown' %}
		      <div class="alert alert-warning">
			<h6 class="alert-heading">Unknown</h6>
			<ul>
			  <li>No qr-codes could be read</li>
			</ul>
		      </div>
		      {% elif current_page.status == 'discard' %}
		      <div class="alert alert-dark">
			<h6 class="alert-heading">Discard</h6>
			<ul>
			  <li>{{current_page.info.reason}}</li>
			  <li>rotation: {{current_page.rotation}}</li>
			</ul>
		      </div>
		      {% elif current_page.status == 'error' %}
		      <div class="alert alert-danger">
			<h6 class="alert-heading">Error</h6>
			<ul>
			  <li>{{current_page.info.reason}}</li>
			  <li>rotation: {{current_page.rotation}}</li>
			  <li>{{current_page.qr_codes|length}} qr-codes read:
			    <ul>
			      {% for crn, code in current_page.qr_codes.items %}
			      <li>{{crn}}: {{code.tpv}}</li>
			      {% endfor %}
			    </ul>
			  </li>
			</ul>
		      </div>
		      {% elif current_page.status == 'unread' %}
		      <div class="alert alert-dark">
			<h6 class="alert-heading">Unread</h6>
			<ul>
			  <li>Have not read qr-codes yet</li>
			</ul>
		      </div>
		      
		      {% endif %}
		    </p>
                </div>
            </div>
        </div>
    </div>
</div>
